Bug 1287644 - ipa-server ships /etc/systemd/system/httpd.service which should be used by local administrator
ipa-server ships /etc/systemd/system/httpd.service which should be used by lo...
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: IPA Maintainers
Namita Soman
:
Depends On:
Blocks: 1283777
  Show dependency treegraph
 
Reported: 2015-12-02 08:23 EST by Jan Pazdziora
Modified: 2017-04-06 12:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2015-12-02 08:23:19 EST
Description of problem:

The ipa-server package ships /etc/systemd/system/httpd.service.

The man page systemd-system.conf(5) says:

       When packages need to customize the configuration, they can install
       configuration snippets in /usr/lib/systemd/*.conf.d/. Files in /etc/
       are reserved for the local administrator, who may use this logic to
       override the configuration files installed by vendor packages.

Version-Release number of selected component (if applicable):

ipa-server-4.2.0-15.el7.x86_64

How reproducible:

Deterministic.

Steps to Reproduce:
1. Verify /etc/systemd/system/httpd.service is not present.
2. yum install -y ipa-server
3. rpm -qf /etc/systemd/system/httpd.service

Actual results:

ipa-server-4.2.0-15.el7.x86_64

Expected results:

error: file /etc/systemd/system/httpd.service: No such file or directory

Additional info:

Having httpd.service installed by default in /etc makes it hard to distinguish genuine changes by the admin from those done by future versions of packages, especially for containerized deployments.
Comment 1 Petr Vobornik 2015-12-02 08:39:59 EST
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/5508
Comment 2 Jan Pazdziora 2015-12-03 05:53:51 EST
Actually, that man page is about configuring systemd itself, not the services. 

The man systemd.unit(5) says

       Along with a unit file foo.service, a directory foo.service.d/ may
       exist. All files with the suffix ".conf" from this directory will be
       parsed after the file itself is parsed. This is useful to alter or add
       configuration settings to a unit, without having to modify their unit
       files.

and also includes

       │/etc/systemd/system     │ Local configuration │
       ├────────────────────────┼─────────────────────┤
       │/run/systemd/system     │ Runtime units       │
       ├────────────────────────┼─────────────────────┤
       │/usr/lib/systemd/system │ Units of installed  │
       │                        │ packages            │

so I believe the bugzilla is still valid though.
Comment 3 Petr Vobornik 2017-04-06 12:39:57 EDT
IdM team doesn't have capacity to fix this bug for RHEL 7.4. Moving to next RHEL version. Fixing the bug there will depend on capacity of FreeIPA upstream. Without sufficient  justification there is a chance that it will be moved again later.

Note You need to log in before you can comment on or make changes to this bug.